Batch delete of accounts by Client IDs
curl --request DELETE \
--url https://api.vop-sandbox.finventi.com/v1/accounts/clientIds \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"client-12345",
"client-64789"
]
}
'import requests
url = "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds"
payload = { "client_ids": ["client-12345", "client-64789"] }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({client_ids: ['client-12345', 'client-64789']})
};
fetch('https://api.vop-sandbox.finventi.com/v1/accounts/clientIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'client_ids' => [
'client-12345',
'client-64789'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds"
payload := strings.NewReader("{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vop-sandbox.finventi.com/v1/accounts/clientIds")
.header("Content-Type", "application/json")
.body("{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vop-sandbox.finventi.com/v1/accounts/clientIds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"deleted_ibans": [
"LT121000011101001000",
"DE89370400440532013000"
],
"deleted_ibans_count": 2,
"failed_client_id_count": 1,
"failed_entries": [
{
"client_id": "clientId-12345",
"reason": "Account not found"
}
],
"total_client_id_count": 3
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Account Management
Batch delete accounts by Client IDs
Deletes multiple accounts using their client identifiers.
DELETE
/
v1
/
accounts
/
clientIds
Batch delete of accounts by Client IDs
curl --request DELETE \
--url https://api.vop-sandbox.finventi.com/v1/accounts/clientIds \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"client-12345",
"client-64789"
]
}
'import requests
url = "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds"
payload = { "client_ids": ["client-12345", "client-64789"] }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({client_ids: ['client-12345', 'client-64789']})
};
fetch('https://api.vop-sandbox.finventi.com/v1/accounts/clientIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'client_ids' => [
'client-12345',
'client-64789'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vop-sandbox.finventi.com/v1/accounts/clientIds"
payload := strings.NewReader("{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vop-sandbox.finventi.com/v1/accounts/clientIds")
.header("Content-Type", "application/json")
.body("{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vop-sandbox.finventi.com/v1/accounts/clientIds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_ids\": [\n \"client-12345\",\n \"client-64789\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"deleted_ibans": [
"LT121000011101001000",
"DE89370400440532013000"
],
"deleted_ibans_count": 2,
"failed_client_id_count": 1,
"failed_entries": [
{
"client_id": "clientId-12345",
"reason": "Account not found"
}
],
"total_client_id_count": 3
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Request body
This endpoint expects the identifiers in theclient_ids field (snake_case), for example { "client_ids": ["client-123", "client-456"] }. The delete-by-IBANs endpoint uses the ibans field instead. If the interactive schema above shows the ibans shape for this endpoint, use client_ids as described here.Body
application/json
Payload containing client_ids: list of Client IDs to delete.
List of client IDs to delete
Minimum array length:
1List of client IDs to delete
Example:
["client-12345", "client-64789"]
Response
Batch deletion result
List of IBANs successfully deleted
List of IBANs successfully deleted
Example:
[
"LT121000011101001000",
"DE89370400440532013000"
]
Number of IBANs successfully deleted
Example:
2
Number of client_ids that failed to delete
Example:
1
Details of client_ids that failed to delete, with reasons
Show child attributes
Show child attributes
Total number of client_id submitted for deletion
Example:
3
Last modified on September 2, 2026